import request from '@/utils/request'
import Qs from 'qs'

/**
 * 1. 列表查询
 * 2. 查询详细信息
 * 3. 新增
 * 4. 修改
 * 5. 逻辑删除
 * 6. 导出
 *
 */

// 1. 查询banner管理列表
export function listCmsBanner(query) {
  return request({
    url: '/cmsbanner/queryCmsBannerByPagination',
    method: 'get',
    params: query
  })
}

// 2. 查询banner管理详细信息
export function getCmsBanner(businessId) {
  return request({
    url: '/cmsbanner/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增banner管理
export function addCmsBanner(data) {
  data = Qs.stringify(data)
  return request({
    url: '/cmsbanner/add',
    method: 'post',
    data: data
  })
}

// 4. 修改banner管理
export function updateCmsBanner(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/cmsbanner/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除banner管理
export function delCmsBanner(businessId) {
  return request({
    url: '/cmsbanner/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出banner管理
export function exportCmsBanner(query) {
  return request({
    url: '/cmsbanner/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
