import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询意见反馈列表
export function listMemFeedback(query) {
  return request({
    url: '/memfeedback/list',
    method: 'get',
    params: query
  })
}

// 2. 查询意见反馈详细信息
export function getMemFeedback(businessId) {
  return request({
    url: '/memfeedback/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增意见反馈
export function addMemFeedback(data) {
  data = Qs.stringify(data)
  return request({
    url: '/memfeedback/add',
    method: 'post',
    data: data
  })
}

// 4. 修改意见反馈
export function updateMemFeedback(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/memfeedback/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除意见反馈
export function delMemFeedback(businessId) {
  return request({
    url: '/memfeedback/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出意见反馈
export function exportMemFeedback(query) {
  return request({
    url: '/memfeedback/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
