import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询金币流水表列表
export function listMemGoldCoinFlow(query) {
  return request({
    url: '/memGoldCoinFlow/list',
    method: 'get',
    params: query
  })
}

// 2. 查询金币流水表详细信息
export function getMemGoldCoinFlow(businessId) {
  return request({
    url: '/memGoldCoinFlow/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增金币流水表
export function addMemGoldCoinFlow(data) {
  data = Qs.stringify(data)
  return request({
    url: '/memGoldCoinFlow/add',
    method: 'post',
    data: data
  })
}

// 4. 修改金币流水表
export function updateMemGoldCoinFlow(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/memGoldCoinFlow/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除金币流水表
export function delMemGoldCoinFlow(businessId) {
  return request({
    url: '/memGoldCoinFlow/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出金币流水表
export function exportMemGoldCoinFlow(query) {
  return request({
    url: '/memGoldCoinFlow/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
