import request from '@/utils/request'
import Qs from 'qs'
import {encrypt} from "@/utils/jsencrypt";

/**
 * 1. 列表查询
 * 2. 查询详细信息
 * 3. 新增
 * 4. 修改
 * 5. 逻辑删除
 * 6. 导出
 *
 */

// 1. 查询会员
export function listMemInfo(query) {
  return request({
    url: '/memInfo/list',
    method: 'get',
    params: query
  })
}

// 2. 查询会员
export function getMemInfo(businessId) {
  return request({
    url: '/memInfo/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增会员
export function addMemInfo(data) {
  data = Qs.stringify(data)
  return request({
    url: '/memInfo/add',
    method: 'post',
    data: data
  })
}

// 4. 修改会员
export function updateMemInfo(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/memInfo/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除会员
export function delMemInfo(businessId) {
  return request({
    url: '/memInfo/delete/' + businessId,
    method: 'delete'
  })
}

// 6. 导出会员
export function exportMemInfo(query) {
  return request({
    url: '/memInfo/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
// 7. 获取私密信息
export function getPrivateInfo(businessId) {
  return request({
    url: '/memInfo/getUserPhone',
    method: 'get',
    params: { businessId: businessId }
  })
}
// 8. 获取未审核动态列表
export function listArticle(query) {
  return request({
    url: '/memInfo/listArticle',
    method: 'get',
    params: query
  })
}
export function getPeopleNumber(query) {
  return request({
    url: '/memInfo/getPeopleNumber',
    method: 'get',
    params: query
  })
}

export function getArticle(query) {
  return request({
    url: '/memInfo/getArticle',
    method: 'get',
    params: { date: query.date }
  })
}

export function listMemHost(query) {
  return request({
    url: '/memInfo/memHost',
    method: 'get',
    params: query
  })
}
