import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询访问量表列表
export function listMemTraffic(query) {
  return request({
    url: '/memtraffic/list',
    method: 'get',
    params: query
  })
}

// 2. 查询访问量表详细信息
export function getMemTraffic(businessId) {
  return request({
    url: '/memtraffic/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增访问量表
export function addMemTraffic(data) {
  data = Qs.stringify(data)
  return request({
    url: '/memtraffic/add',
    method: 'post',
    data: data
  })
}

// 4. 修改访问量表
export function updateMemTraffic(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/memtraffic/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除访问量表
export function delMemTraffic(businessId) {
  return request({
    url: '/memtraffic/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出访问量表
export function exportMemTraffic(query) {
  return request({
    url: '/memtraffic/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
