import request from '@/utils/request'
import Qs from 'qs'

/**
 * 1. 列表查询
 * 2. 查询详细信息
 * 3. 新增
 * 4. 修改
 * 5. 逻辑删除
 * 6. 导出
 *
 */

// 1. 查询公告列表
export function listCmsNotice(query) {
  return request({
    url: '/cmsNotice/queryCmsNoticeByPagination',
    method: 'get',
    params: query
  })
}

// 2. 查询公告详细信息
export function getCmsNotice(businessId) {
  return request({
    url: '/cmsNotice/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增公告
export function addCmsNotice(data) {
  data = Qs.stringify(data)
  return request({
    url: '/cmsNotice/add',
    method: 'post',
    data: data
  })
}

// 4. 修改公告
export function updateCmsNotice(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/cmsNotice/update/' + businessId,
    method: 'post',
    data
  })
}

// 5. 逻辑删除公告
export function delCmsNotice(businessId) {
  return request({
    url: '/cmsNotice/delete/' + businessId,
    method: 'delete'
  })
}

// 6. 导出公告
export function exportCmsNotice(query) {
  return request({
    url: '/cmsNotice/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
// 7. 修改公告状态
export function updateStatus(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/cmsNotice/updateStatus/' + businessId,
    method: 'post',
    data: data
  })
}
