import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询动态表列表
export function listOpmArticle(query) {
  return request({
    url: '/opmarticle/list',
    method: 'get',
    params: query
  })
}

// 2. 查询动态表详细信息
export function getOpmArticle(businessId) {
  return request({
    url: '/opmarticle/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增动态表
export function addOpmArticle(data) {
  data = Qs.stringify(data)
  return request({
    url: '/opmarticle/add',
    method: 'post',
    data: data
  })
}

// 4. 修改动态表
export function updateOpmArticle(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/opmarticle/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除动态表
export function delOpmArticle(businessId) {
  return request({
    url: '/opmarticle/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出动态表
export function exportOpmArticle(query) {
  return request({
    url: '/opmarticle/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 7. 逻辑删除动态评论
export function deleteComment(businessId) {
  return request({
    url: '/opmarticle/deleteComment/' + businessId,
    method: 'delete'
  })
}

// oss查询图片路径
export function getOssUrl(id) {
  return request({
    url: '/common/getOssUrl?businessId=' + id,
    method: 'GET'
  })
}
