import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询黑名单表列表
export function listOpmBlackList(query) {
  return request({
    url: '/opmBlackList/list',
    method: 'get',
    params: query
  })
}

// 2. 查询黑名单表详细信息
export function getOpmBlackList(businessId) {
  return request({
    url: '/opmBlackList/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增黑名单表
export function addOpmBlackList(data) {
  data = Qs.stringify(data)
  return request({
    url: '/opmBlackList/add',
    method: 'post',
    data: data
  })
}

// 4. 修改黑名单表
export function updateOpmBlackList(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/opmBlackList/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除黑名单表
export function delOpmBlackList(businessId) {
  return request({
    url: '/opmBlackList/delete/' + businessId,
    method: 'delete'
  })
}

// 6. 导出黑名单表
export function exportOpmBlackList(query) {
  return request({
    url: '/opmBlackList/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 查询留言表列表
export function listMessageList(query) {
  return request({
    url: '/memLeaveMessage/messageList',
    method: 'get',
    params: query
  })
}
